-- Tomatekh

print ("Sumer Scripts")

local eBuildingZiggurat = GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT
local eSumerCiv = GameInfoTypes.CIVILIZATION_AKKADIAN_MOD
-- Change specialist food


function SumerSpecialistFood()
    for iPlayerLoop = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
        local pPlayer = Players[iPlayerLoop]
        if (pPlayer:GetCivilizationType() == eSumerCiv) then
            pPlayer:GrantPolicy(GameInfoTypes.DUMMY_POLICY_SUMER, true)
            print("Sumer Dummy Policy Applied")
        end
    end
end
SumerSpecialistFood()
--if (Modding.OpenSaveData().GetValue("GoodMemes") == nil) then
--    SumerSpecialistFood()
--    Modding.OpenSaveData().SetValue("GoodMemes", 1)
--end
				
-- Vulture
local pVultureXPScript = GameInfoTypes.PROMOTION_MOD_XP_BONUS;
local uVulture = GameInfoTypes.UNIT_AKKADIAN_MOD_VULTURE;

function VultureTrainedBonus(playerID, cityID, unitID)
	local pPlayer = Players[playerID];
	if (pPlayer:GetCivilizationType() == eSumerCiv) then
		local pUnit = pPlayer:GetUnitByID(unitID)
		if (pUnit:GetUnitType() == uVulture) then
			local BaseXP = pUnit:GetExperience()
			local VultureXP = BaseXP + 10
			pUnit:SetExperience(VultureXP);
		end
	end
end
GameEvents.CityTrained.Add(VultureTrainedBonus)

function VultureStartingBonus (arg0, currPlayer)
	for i, pPlayer in pairs(Players) do
		if pPlayer:IsEverAlive() then
			if (pPlayer:GetCivilizationType() == eSumerCiv) then
				for pUnit in pPlayer:Units() do
					if (pUnit:GetUnitType() == uVulture) then
						local BaseXP = pUnit:GetExperience()
						if BaseXP == 0 then
							local VultureXP = BaseXP + 10
							pUnit:SetExperience(VultureXP);
						end
					end
				end
			end
		end
	end
end
Events.LoadScreenClose.Add(VultureStartingBonus)

-- upgrade Ziggurat immediately on construction
function OnConstructionZiggurat(iPlayer, iCity, iBuilding)
	local pPlayer = Players[iPlayer]
	
	local pCity = pPlayer:GetCityByID(iCity)
	
	if pPlayer:GetCivilizationType() ~= eSumerCiv then return end
 
	if iBuilding == eBuildingZiggurat or iBuilding == GameInfoTypes.BUILDING_ORACLE then
			
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NINLIL, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NINURTA, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NINHURSAG, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_INANNA, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_INZAK, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_AN, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_DUMUZID, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_UTU, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NANNA, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_ERESHKIGAL, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NERGAL, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NAMMU, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_ENLIL, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NIDABA, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_ENKI, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_GUGALANNA, 0)
		local rand = math.random(4)
		
		if (rand == 1) then
			pCity:DoCityStartEvent(GameInfoTypes.EVENT_SUMERIA_BASKET_1)
	
		elseif (rand == 2) then
			pCity:DoCityStartEvent(GameInfoTypes.EVENT_SUMERIA_BASKET_2)
	
		elseif (rand == 3) then
			pCity:DoCityStartEvent(GameInfoTypes.EVENT_SUMERIA_BASKET_3)
		
		else 
			pCity:DoCityStartEvent(GameInfoTypes.EVENT_SUMERIA_BASKET_4)
		end
	end
end

function ZigguratChoice(iPlayer, iCityID, iChoice)
	local pPlayer = Players[iPlayer]
	
	if pPlayer:GetCivilizationType() ~= GameInfoTypes.CIVILIZATION_AKKADIAN_MOD then return end
	
	local pCity = pPlayer:GetCityByID(iCityID)
    if iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_1_CHOICE_NINHURSAG then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NINHURSAG, 1);
	
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_1_CHOICE_INANNA then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_INANNA, 1);
	
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_1_CHOICE_DUMUZID then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_DUMUZID, 1);

	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_1_CHOICE_UTU then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_UTU, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_2_CHOICE_INZAK then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_INZAK, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_2_CHOICE_ERESHKIGAL then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_ERESHKIGAL, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_2_CHOICE_ENLIL then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_ENLIL, 1);

	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_2_CHOICE_NANNA then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NANNA, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_3_CHOICE_NAMMU then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NAMMU, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_3_CHOICE_NIDABA then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NIDABA, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_3_CHOICE_NINURTA then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NINURTA, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_3_CHOICE_NERGAL then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NERGAL, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_4_CHOICE_GUGALANNA then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_GUGALANNA, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_4_CHOICE_ENKI then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_ENKI, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_4_CHOICE_AN then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_AN, 1);
		
	elseif iChoice == GameInfoTypes.EVENT_SUMERIA_BASKET_4_CHOICE_NINLIL then
		pCity:SetNumRealBuilding(eBuildingZiggurat, 0)
		pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_AKKADIAN_MOD_ZIGGURAT_NINLIL, 1);
    end
end
-- removes Temples in cities captured by Sumer, so they can build ziggurats
function OnCaptureRemoveTemple(iOldOwner, bIsCapital, iX, iY, iNewOwner, iPop, bConquest)
	local pNewPlayer = Players[iNewOwner]
	local pPlot = Map.GetPlot(iX, iY)
	local cCity = pPlot:GetPlotCity()
	
	if pNewPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_AKKADIAN_MOD then
		cCity:SetNumRealBuilding(eBuildingZiggurat, 0);

	end
end

GameEvents.CityCaptureComplete.Add(OnCaptureRemoveTemple)
GameEvents.CityConstructed.Add(OnConstructionZiggurat)
GameEvents.CityEventChoiceActivated.Add(ZigguratChoice)